Subject: bug#12074: emacs crashes on startup

From: Nick Dokos <[email-masked]>
Date: Sat, 28 Jul 2012 14:14:20 -0400

Eli Zaretskii <[email-masked]> wrote:

> > From: Andreas Schwab <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sat, 28 Jul 2012 19:04:17 +0200
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > >> From: Nick Dokos <[email-masked]>
> > >> Date: Fri, 27 Jul 2012 23:13:16 -0400
> > >> Cc: [email-masked]
> > >> 
> > >> I just updated emacs from the git repo 
> > >> 
> > >>        git://repo.or.cz/emacs.git
> > >> 
> > >> git describe says
> > >> 
> > >>        v24.0.50-14303-g6aecb14
> > >
> > > What does this mean in terms of the bzr revisions in the master
> > > repository?
> > 
> > $ git fetch origin +refs/notes/commits:refs/notes/commits
> > $ git log -1 --pretty=%N v24.0.50-14303-g6aecb14
> > [email-masked]
> 
> Thanks.  This is:
> 
>  >bzr revision-info [email-masked]
>  109225 [email-masked]
> 
> In the next revision, 109226, Dmitry reverted some of his changes that
> caused similar crashes inside GC reported by Chong.  So I think this
> bug might well be a duplicate of what Chong reported here:
> 
>   http://lists.gnu.org/archive/html/emacs-devel/2012-07/msg00566.html
> 

OK - thanks! I guess I just pulled at the wrong time.  I cannot
reproduce the crash when I built from bzr (but I'm not sure I did things
correctly, given my ignorance about bzr).

Thanks,
Nick